Subject: leading "From" line in procmail

From: Joshua <[email-masked]>
Date: Thu, 6 Apr 1995 17:50:18 -0400 (EDT)

Hi,
   I am using procmail to do autoreplies. We have one problem with it:
procmail miss reading the leading "From" line, so instead autoreply to
the leading (or original) "From" address, it replies to the intermediate
(or transfering) "From" address.
   We found solutions to the above problem in Procmailex man page. It offers
two solutions:

1. quote: "calling up procmail with the -f option". End quote.

Our question: how do we do this? write something in our .procmailrc?

2. Add the following recipes at the top of all recipes in .procmailrc:
:0 fhw
|formail -I"From"
:0 fhw
|formail

Our problem: we tried, it doesn't work for us.

Any comments?

Thanks in advance.

Joshua

---

From: [email-masked] (Jose De Castro)
Date: Thu, 6 Apr 1995 17:01:09 -0800

Joshua,
  These are some of my thoughts based on my understanding of procmail.

> Our question: how do we do this? write something in our .procmailrc?

I think this -f would be placed into where you are calling procmail from.
If you do it from the alias file, then you need to put it there.  I call
procmail from a shell script fired up by cron every couple of minutes.

> Our problem: we tried, it doesn't work for us.

The above recipe looks a little odd ... it appears to want to filter
the header and replace "From" but with what? ... I don't know myself ...

One thing you may want to check is if you are using the formail -r
option.  This tells formail to try to compute a good return header.
It seems to be quite smart and it seems to work for me.

> Joshua

Jose.

---------------
Jose De Castro
Mentor Graphics Corp.
ASIC Vendor Operations
Phone: (503) 685-1139
Fax:   (503) 685-1268
Email: [email-masked]